[API Reference](../README.md) > [TokenLockingOptions](../interfaces/TokenLockingOptions.md)

# Interface: TokenLockingOptions

## Hierarchy

 [LockingOptions](LockingOptions.md)

**↳ TokenLockingOptions**

## Index

### Properties

* [amount](TokenLockingOptions.md#amount)
* [lockerAddress](TokenLockingOptions.md#lockerAddress)
* [period](TokenLockingOptions.md#period)
* [tokenAddress](TokenLockingOptions.md#tokenAddress)

---

## Properties

<a id="amount"></a>

###  amount

**● amount**: * `BigNumber` &#124; `string`
*

*Inherited from [LockingOptions](LockingOptions.md).[amount](LockingOptions.md#amount)*

*Defined in [wrappers/locking4Reputation.ts:444](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/locking4Reputation.ts#L444)*

in Wei

___
<a id="lockerAddress"></a>

###  lockerAddress

**● lockerAddress**: *[Address](../#Address)*

*Inherited from [LockingOptions](LockingOptions.md).[lockerAddress](LockingOptions.md#lockerAddress)*

*Defined in [wrappers/locking4Reputation.ts:449](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/locking4Reputation.ts#L449)*

___
<a id="period"></a>

###  period

**● period**: *`number`*

*Inherited from [LockingOptions](LockingOptions.md).[period](LockingOptions.md#period)*

*Defined in [wrappers/locking4Reputation.ts:448](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/locking4Reputation.ts#L448)*

the number of seconds the amount should be locked

___
<a id="tokenAddress"></a>

###  tokenAddress

**● tokenAddress**: *[Address](../#Address)*

*Defined in [wrappers/lockingToken4Reputation.ts:143](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/lockingToken4Reputation.ts#L143)*

___

